# Methodology

## Research question

The main purpose of this work was to understand what is the impact on models' accuracy by increasing the amount of data used for training. We applied this research to two main tasks: image recognition and image classification. In both cases we used Deep Learning algorithms and evaluated their accuracy according to different training set sizes. All models were implemented using Python 3.6 with TensorFlow libraries.

## Dataset sizes

The first step in our project was to define which size of datasets to adopt in order to analyze the results. Doing a literature review, we identified that different works adopted distinct strategies to define dataset sizes to analyze the accuracy of models. In some publications the authors adopt a linear progression. In \cite{hay2018performance}, the authors use started with 1.500 samples of the dataset, increasing it in 1.500 units in each interaction, until the total size of 20.000 images. In \cite{soekhoe2016impact}, the authors used a first dataset with 50, then 100 images and added 100 images per interaction until achieving a total of 1.000 images (in this paper, the authors also varied the test size). Other authors adopted a more scaled set size. In \cite{foody1997evaluation} the authors adopted 10, 30, 50 and 100 images per class, while in \cite{hernandez2006effect}the authors used 5, 10, 25, 50, 75 and observations. After analyzing related works, we decided to create datasets with 5%, 10%, 20%, 30%, 50%, 75% and 100% of the training set. This logarithmic metric can allow us to derive good insights by exploring the smaller training sets. It is important to note that the testing set was always the same, regardless of the size of the training set used. The goal is then to compare the evaluation results across the different sized training sets.

## Deep Learning

Until the development and adoption of modern Artificial Intelligence models, the construction of pattern-recognition systems was based on tailor-made solutions, with a huge effort in engineering and feature extraction to translate raw data to machine language \cite{Recker2017}. Deep learning models, on the other hand, can be trained with the use of large sets of data and neural network architectures that learn features directly from the data without the need for manual feature extraction \cite{Dejean-Servieres2017}.

Deep learning models are composed by several Neural Networks processing layers which can learn representations of data with many abstraction levels \cite{LeCun2015}. This architecture is inspired by human neurons operation. In a neural network, vertices act like the neurons and the edges represent communication channels between neurons in a directed graph. A neuron is a processor that produce a sequence of activations \cite{schmidhuber2015deep}. Neural networks are composed by layers of neurons. The neurons belonging to a layer receive signals only from neurons of the predecessor layer, and produces signals that will be processed by neurons of the following layer. The first layer represents the input layer, and the last layeris the output layers. Layers between the input and output layers are called the hidden layers of the network \cite{Dejean-Servieres2017}.