
## Setup for image recognition

### Datasets

For the image recognition experiments we used the German Traffic Sign Recognition Benchmark (GTSRB) dataset. It is a public traffic sign dataset - provided by the Institute of Neuroinformatic of the Ruhr-Universität Bochum - containing more than 50,000 images, divided in 43 classes with varying sizes. In this case, both training and testing set contain annotations of labels and 2D bounding boxes. The training set has more than 39,000 images, and the test dataset contains around 12,000 images. As the images contain only the the traffic sign, this dataset is useful for single-image, multi-class classification problems. 

### Data preparation

In this step we also converted the raw images to a TFRecords file. We ran experiments using both the original data as augmented dataset. In the augmented dataset, we added 100,000 new images to the original training dataset, adjusting the angle or the translation of the image. The image's original label was preserved.


### Model

For the final image recognition setup, we implemented a ResNet model. The model used for  image classification is completely based on RESNET architecture presented on \cite{He2016,he2016identity,ioffe2015batch}. The network configuration consists of 4 blocks, each of them has 2 residual unit. Each residual unit represents a bottleneck stack of full pre-activated convolutional layers - first convolutional layer is 1x1 kernel map with N size input and M size output, second is 3x3 kernel map with M size input and M size output, and last one is 1x1 kernel map of M input size and M output size. The pre-activation trick is quite good described in "Identity Mappings in Deep Residual Networks"paper. Both Batch normalization and shortcut links lead to the better training behaviour and improve regularization of the model. Without dropout succeeded 97-99% of accuracy on test data after just first training round with augmented data (Double the original image samples was generated). The parameters used in this step is presented on Listing 1.


